# OpenLayers.Layer.TileCache

A read only TileCache layer. Used to requests tiles cached by TileCache in a web accessible cache. This means that you have to pre-populate your cache before this layer can be used. It is meant only to read tiles created by TileCache, and not to make calls to TileCache for tile creation. Create a new instance with the OpenLayers.Layer.TileCache constructor.

#### Inherits from

- OpenLayers.Layer.Grid

Summary

OpenLayers.Layer.TileCache | A read only TileCache layer.
Properties |
isBaseLayer | {Boolean} Treat this layer as a base layer.
format | {String} Mime type of the images returned.
serverResolutions | {Array} A list of all resolutions available on the server.
Constructor |
OpenLayers.Layer.TileCache | Create a new read only TileCache layer.
Functions |
clone |

### Properties

### isBaseLayer

{Boolean} Treat this layer as a base layer. Default is true.

### format

{String} Mime type of the images returned. Default is image/png.

### serverResolutions

{Array} A list of all resolutions available on the server. Only set this property if the map resolutions differ from the server. This property serves two purposes. (a) serverResolutions can include resolutions that the server supports and that you don’t want to provide with this layer. (b) The map can work with resolutions that aren’t supported by the server, i.e. that aren’t in serverResolutions. When the map is displayed in such a resolution data for the closest server-supported resolution is loaded and the layer div is stretched as necessary.

### Constructor

### OpenLayers.Layer.TileCache

Create a new read only TileCache layer.

#### Parameters

name | {String} Name of the layer displayed in the interface
url | {String} Location of the web accessible cache (not the location of your tilecache script!)
layername | {String} Layer name as defined in the TileCache configuration
options | {Object} Optional object with properties to be set on the layer. Note that you should speficy your resolutions to match your TileCache configuration. This can be done by setting the resolutions array directly (here or on the map), by setting maxResolution and numZoomLevels, or by using scale based properties.

### Functions

### clone

> clone: function ( | obj | )

obj | {Object}

#### Returns

{OpenLayers.Layer.TileCache} An exact clone of this OpenLayers.Layer.TileCache

> clone: function ( | obj | )

Create a new read only TileCache layer.
{Array} A list of all resolutions available on the server.
Close